"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs = require("fs-extra");
/**
 * An class which provides information to translate into different languages.
 */
var LocalizationObject = (function () {
    /**
     * Creating an instance of the class is only possible by
     * loading it via the 'LoadLocalizationObjects'-function
     *  in the LocalizationObject class.
     */
    function LocalizationObject() {
    }
    /**
     * Loads the LocalizationObjects of an localization-file.
     * @param path The path to the localization-file.
     */
    LocalizationObject.LoadLocalizationObjects = function (path) {
        var json = fs.readFileSync(path).toString();
        var result = JSON.parse(json);
        return result;
    };
    return LocalizationObject;
}());
exports.LocalizationObject = LocalizationObject;
