"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs = require("fs-extra");
/**
 * This class provides information to configure the localization service.
 */
var LocalizationConfiguration = (function () {
    /**
    * Creating an instance of the class is only possible by
    * loading it via the 'LoadConfiguration'-function
    *  in the Configuration class.
    */
    function LocalizationConfiguration() {
    }
    /**
     * Loads the LocalizationConfiguration of an configuration-file.
     * @param path The path to the localization-file.
     */
    LocalizationConfiguration.LoadLocalizationConfiguration = function (path) {
        var json = fs.readFileSync(path).toString();
        var result = JSON.parse(json);
        return result;
    };
    return LocalizationConfiguration;
}());
exports.LocalizationConfiguration = LocalizationConfiguration;
